<?php

class ControladorArea {

	static public function ctrCrearPresicion(){
		if(isset($_POST["listaProductos1"])){
					$tabla = "presicion_inventario";
					$estado = 0;
					$datos = array("productos"=>$_POST["listaProductos1"],
								"estado"=>$estado);

					$respuesta = ModeloArea::mdlIngresarPrecision($tabla, $datos);

					if($respuesta == "ok"){
						echo'<script>
						swal({
							type: "warning",
							title: "Estas seguro de Guardar El Inventario",
							showCancelButton: true,
							confirmButtonText: "Confirmar",
							cancelButtonColor: "#d33"
							}).then(function(result){
								if(result.value){
									window.location = "tasa-precision";
								}
							});
						</script>';
					}

				}

	}

	static public function ctrMostrarInventario($item, $valor){

		$tabla = "presicion_inventario";
    
		$respuesta = ModeloArea::mdlMostrarInventario($tabla, $item, $valor);

		return $respuesta;
	}

	static public function ctrMostrarArea($item, $valor){

		$tabla = "area";
    
		$respuesta = ModeloArea::mdlMostrarArea($tabla, $item, $valor);

		return $respuesta;
	}

	static public function ctrCrearArea(){

        if (isset($_POST["nuevaArea"])) {
            if (preg_match('/^[a-zA-Z0-9ñÑáéíóúÁÉÍÓÚ ]+$/', $_POST["nuevaArea"])) {
                
                $tabla = "area";
				$estado = 1;
                $datos = array("nombre" => $_POST["nuevaArea"], "estado" => $estado);
			
                $respuesta = ModeloArea::mdlIngresarArea($tabla, $datos);

                if ($respuesta == "ok") {

                    echo '<script>

					swal({

						type: "success",
						title: "La Area ha sido guardado correctamente!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"

					}).then(function(result){

						if(result.value){
						
							window.location = "area";

						}

					});
				

					</script>';

                }
            }else {
                echo '<script>

					swal({

						type: "error",
						title: "¡El Area no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"

					}).then(function(result){

						if(result.value){
						
							window.location = "area";

						}

					});
				

				</script>';
            }
        }
    }

	static public function ctrEditarArea(){

        if (isset($_POST["editarArea"])) {
            if (preg_match('/^[a-zA-Z0-9ñÑáéíóúÁÉÍÓÚ ]+$/', $_POST["editarArea"])) {
                
                $tabla = "area";

                $datos = array("nombre"=>$_POST["editarArea"], "id"=>$_POST["idArea"]);

                $respuesta = ModeloArea::mdlEditarArea($tabla, $datos);

                if ($respuesta == "ok") {
                    echo '<script>
					swal({

						type: "success",
						title: "La Area ha sido editada correctamente!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"

					}).then(function(result){

						if(result.value){
						
							window.location = "area";
						}
					});		
					</script>';
                }
            }else {
                echo '<script>

					swal({

						type: "error",
						title: "La Area no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"

					}).then(function(result){

						if(result.value){
						
							window.location = "area";

						}

					});
				

				</script>';
            }
        }
    }

	static public function ctrBorrarArea(){

		if(isset($_GET["idArea"])){

			$tabla ="area";
			$datos = $_GET["idArea"];

			$respuesta = ModeloArea::mdlBorrarArea($tabla, $datos);

			if($respuesta == "ok"){

				echo'<script>

				swal({
					  type: "success",
					  title: "La Area ha sido borrado correctamente",
					  showConfirmButton: true,
					  confirmButtonText: "Cerrar"
					  }).then(function(result){
								if (result.value) {

								window.location = "area";

								}
							})

				</script>';

			}		

		}

	}
}